import {Component, isDevMode} from '@angular/core';
import {CommonModule} from '@angular/common';
import packageInfo from '../../../package.json';

@Component({
  selector: 'app-version',
  templateUrl: './version.component.html',
  standalone: true,
  styleUrls: ['./version.component.scss'],
  imports: [CommonModule]
})
export class VersionComponent {
  public readonly PROD: boolean = !isDevMode();
  public readonly VERSION: string = packageInfo.version + (this.PROD ? '' : ' (development build)');

  constructor() {
  }
}
